/*
 * Copyright (c) 2012, 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id: TSAppConfig.java 75048 2017-06-12 17:36:23Z jsupol $
 */

package com.sun.ts.tests.jaxrs.spec.resource.responsemediatype;

import java.util.HashSet;
import java.util.Set;

import javax.ws.rs.core.Application;

public class TSAppConfig extends Application {

	public java.util.Set<java.lang.Class<?>> getClasses() {
		Set<Class<?>> resources = new HashSet<Class<?>>();
		resources.add(StringWriter.class);
		resources.add(MediaResource.class);
		resources.add(NoMediaResource.class);
		resources.add(WeightResource.class);
		resources.add(MediaWriter.class);
		resources.add(ErrorResource.class);
		return resources;
	}
}
